# `taurus.core.tango.img`

The img package. It contains specific part of tango devices dedicated to images (CCDs, detectors, etc)

Classes

CCDPVCAM

  (more info) alias of `ImageCounterDevice`

class Falcon(name, image_name='image', **kw)

  (more info)

class ImageCounterDevice(name, image_name='image', image_ct='imagecounter', **kw)

  A class encapsulating a generic image device that has an image counter attribute

  (more info)

class ImageDevice(name, image_name='image', **kw)

  A class encapsulating a generic image device

  (more info)

class ImgBeamAnalyzer(name, image_name='roiimage', **kw)

  (more info)

ImgGrabber

  (more info) alias of `ImageCounterDevice`

class LimaCCDs(name, image_name='video_last_image', image_ct='video_last_image_counter', **kw)

  (more info)

PyImageViewer

  (more info) alias of `ImageCounterDevice`

Functions

registerExtensions()

  Registers the image extensions in the `taurus.core.tango.TangoFactory`